summaryrefslogtreecommitdiff
path: root/graphics/gimp-registry-plugins/gimp-registry-plugins.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'graphics/gimp-registry-plugins/gimp-registry-plugins.SlackBuild')
-rw-r--r--graphics/gimp-registry-plugins/gimp-registry-plugins.SlackBuild112
1 files changed, 112 insertions, 0 deletions
diff --git a/graphics/gimp-registry-plugins/gimp-registry-plugins.SlackBuild b/graphics/gimp-registry-plugins/gimp-registry-plugins.SlackBuild
new file mode 100644
index 0000000000..a10c96637b
--- /dev/null
+++ b/graphics/gimp-registry-plugins/gimp-registry-plugins.SlackBuild
@@ -0,0 +1,112 @@
+#!/bin/sh
+
+# SlackBuild script for gimp-registry-plugin.
+
+# Takes a series of plugins (mostly from the Debian gimp-registry-plugin list)
+# plus a couple of extras and extracts them into the relevant gimp directories.
+
+# Copyright 2009 Pierre Cazenave <pwcazenave {at} gmail [dot] com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gimp-registry-plugins
+VERSION=0.0.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ LIBDIRSUFFIX=""
+ elif [ "$ARCH" = "i686" ]; then
+ LIBDIRSUFFIX=""
+ elif [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG $TMP/GREYCstoration-2.9 $TMP/"Fake HDR effect script-fu-v0.2"
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+mkdir -p $PKG/usr/{lib${LIBDIRSUFFIX}/gimp/2.0/plug-ins,share/gimp/2.0/scripts}
+
+# Copy the .scm files to the scripts directory
+cp $CWD/*.scm $PKG/usr/share/gimp/2.0/scripts/
+
+# Grab the scm files from the HDR plugin
+unzip $CWD/"Fake HDR effect script-fu-v0.2.zip"
+cp $TMP/"Fake HDR effect script-fu-v0.2"/*.scm $PKG/usr/share/gimp/2.0/scripts/
+
+# Copy the python scripts to the plugins directory
+cp $CWD/*.py $PKG/usr/lib${LIBDIRSUFFIX}/gimp/2.0/plug-ins/
+
+# Copy the relevant file from the GREYCstoration.zip archive
+unzip $CWD/GREYCstoration-2.9.zip
+( cd $PKG/usr/lib${LIBDIRSUFFIX}/gimp/2.0/plug-ins
+ cp $TMP/GREYCstoration-2.9/GREYCstoration_gimp_pc_linux${LIBDIRSUFFIX} .
+)
+
+# Add ellipsis to the Vignette script name for better consistency with other
+# filters in Filters > Light and Shadow.
+sed -i '178s|Vignette|Vignette...|' $PKG/usr/share/gimp/2.0/scripts/vignette_0.scm
+
+# Change the menu name for the .scm files that fall in the Filters GIMP menu
+# to put them in a more ordered menu system.
+sed -i 's|"<Image>/~jp/diana-holga2c|"<Image>/Filters/Registry Plug-Ins/JP/Diana-Holga2c|g' \
+ $PKG/usr/share/gimp/2.0/scripts/diana-holga2c.scm
+sed -i 's|"<Image>/Filters/Eg"|"<Image>/Filters/Registry Plug-Ins/Eg"|g' \
+ $PKG/usr/share/gimp/2.0/scripts/Eg-AddFilmGrain.scm
+sed -i 's|"<Image>/Filters/Eg"|"<Image>/Filters/Registry Plug-Ins/Eg"|g' \
+ $PKG/usr/share/gimp/2.0/scripts/Eg-SmartSharpen.scm
+sed -i 's|"<Image>/Filters/Photo|"<Image>/Filters/Registry Plug-Ins/Photography|g' \
+ $PKG/usr/share/gimp/2.0/scripts/exposure-blend-tinyscheme.scm
+sed -i 's|"<Image>/Script-Fu/Enhance|"<Image>/Filters/Enhance|g' \
+ $PKG/usr/share/gimp/2.0/scripts/hdr-eff.scm
+sed -i 's|"<Image>/Script-Fu/Enhance|"<Image>/Filters/Enhance|g' \
+ $PKG/usr/share/gimp/2.0/scripts/hdr-eff-plus.scm
+# Apply the same "fix" to the .py files
+sed -i 's|"<Toolbox>/Xtns/Batch/|"<Toolbox>/Xtns/Photography/|g' \
+ $PKG/usr/lib${LIBDIRSUFFIX}/gimp/2.0/plug-ins/contactsheet_0.py
+
+# Fix permissions
+chown -R root:root $PKG
+chmod -R u+w,go+r-w,a-s $PKG
+find $PKG/usr/share/gimp/2.0/ -type f -exec chmod 644 {} +
+find $PKG/usr/lib${LIBDIRSUFFIX}/gimp/2.0/ -type f -exec chmod 755 {} +
+
+# Add what little documentation we have
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ $TMP/GREYCstoration-2.9/{Licence_CeCILL_V2-en.txt,README.txt} \
+ $TMP/"Fake HDR effect script-fu-v0.2"/Info.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README$TAG
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}